Bug 1082290 - (CVE-2018-7409) VUL-0: CVE-2018-7409: unixODBC: Buffer overflow in unicode_to_ansi_copy()
(CVE-2018-7409)
VUL-0: CVE-2018-7409: unixODBC: Buffer overflow in unicode_to_ansi_copy()
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/200670/
CVSSv3:RedHat:CVE-2018-7409:5.3:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-22 13:24 UTC by Karol Babioch
Modified: 2020-04-28 14:12 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Diff of DriverManager/__info.c between 2.3.4 and 2.3.5 (9.46 KB, patch)
2018-02-22 13:24 UTC, Karol Babioch
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2018-02-22 13:24:35 UTC
Created attachment 761258 [details]
Diff of DriverManager/__info.c between 2.3.4 and 2.3.5

Buffer overflow in unicode_to_ansi_copy()

Fixed in version 2.3.5.

Diff between 2.3.4 and 2.3.5 of the file in question is attached.
Comment 1 Karol Babioch 2018-02-22 19:10:56 UTC
This has been assigned CVE-2018-7409.
Comment 2 Karol Babioch 2018-02-22 20:33:56 UTC
Affected:

SUSE:SLE-12-SP2:Update 

Not affected (does not contain the code in question in unicode_to_ansi_copy()):

SUSE:SLE-11:Update 
SUSE:SLE-10-SP3:Update
Comment 3 Swamp Workflow Management 2018-03-19 12:40:09 UTC
This is an autogenerated message for OBS integration:
This bug (1082290) was mentioned in
https://build.opensuse.org/request/show/588547 Factory / unixODBC
Comment 5 Swamp Workflow Management 2018-03-19 13:30:14 UTC
This is an autogenerated message for OBS integration:
This bug (1082290) was mentioned in
https://build.opensuse.org/request/show/588565 Factory / unixODBC
Comment 7 Swamp Workflow Management 2018-03-22 15:00:14 UTC
This is an autogenerated message for OBS integration:
This bug (1082290) was mentioned in
https://build.opensuse.org/request/show/590348 Factory / unixODBC
Comment 10 Michael Vetter 2018-04-03 08:40:59 UTC
SR#160142 to sle12sp2 has been accepted.
Comment 11 Michael Vetter 2018-06-11 10:02:23 UTC
ECO#324500 (bsc#1062860) got stuck at some point.
Resubmitting unixODBC so that we have bsc#1082290 and bsc#1082060 fixed without waiting for ECO decision about psqlODBC inclusion.
SR#166572.
Comment 15 Swamp Workflow Management 2018-06-28 01:08:35 UTC
SUSE-SU-2018:1832-1: An update that solves two vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1044970,1082060,1082290,1082484
CVE References: CVE-2018-7409,CVE-2018-7485
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    unixODBC-2.3.6-7.9.1
SUSE Linux Enterprise Server 12-SP3 (src):    unixODBC-2.3.6-7.9.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    unixODBC-2.3.6-7.9.1
Comment 16 Swamp Workflow Management 2018-06-29 13:08:25 UTC
openSUSE-SU-2018:1845-1: An update that solves two vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1044970,1082060,1082290,1082484
CVE References: CVE-2018-7409,CVE-2018-7485
Sources used:
openSUSE Leap 42.3 (src):    unixODBC-2.3.6-8.1
Comment 17 Alexandros Toptsoglou 2020-04-28 14:12:20 UTC
Done